/*a simple calculator for complex number system
 *Akira Saitoh (1999,2002)
 *---------------------------------------------------------
 *References
 * [1] Eric Harlow: DEVELOPING LINUX APPLICATIONS by Eric Harlow (1999)
 * [2] Eiji Takeda: GTK+ de hajimeru X programming (1999)
 *
 */
/*
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */
#ifdef HAVE_CONFIG_H
#include "config.h"
#endif/*HAVE_CONFIG_H*/
#include "cgtkcalc.h"

/*When you change this list, you should also modify
 *`ButtonList.h'. it is used to define keyboard shortcuts.
 */
typCalculatorButton buttonList[] = {
{"Cut",0,0,1,OTHERS,NULL,0},     /*0*/
{"Copy",0,1,1,OTHERS,NULL,0},    /*1*/
{"ACP",0,2,1,OTHERS,NULL,0},     /*2*/
{"Paste",0,3,1,OTHERS,NULL,0},   /*3*/
{"Undo",0,4,1,OTHERS,NULL,0},    /*4*/
/*"DRPI" is also used in `Clicked.c'.*/
{"DRPI",0,5,1,OTHERS,NULL,0},    /*5*/
{"CE/C",0,6,1,OTHERS,NULL,0},    /*6*/
{"ACL",0,7,1,OTHERS,NULL,0},     /*7*/

/*Never change toggle buttons.*/
{"real",1,0,1,TOGGLE_B,NULL,0},  /*8*/
{"imag",1,4,1,TOGGLE_B,NULL,0},  /*9*/
{"abs",2,0,1,TOGGLE_B,NULL,0},   /*10*/
{"arg",2,4,1,TOGGLE_B,NULL,0},   /*11*/
   
{"asinh",3,0,1,UNARY_OP,NULL,0}, /*12*/
{"acosh",3,1,1,UNARY_OP,NULL,0}, /*13*/
{"atanh",3,2,1,UNARY_OP,NULL,0}, /*14*/
{"asin",3,3,1,UNARY_OP,NULL,0},  /*15*/
{"acos",3,4,1,UNARY_OP,NULL,0},  /*16*/
{"atan",3,5,1,UNARY_OP,NULL,0},  /*17*/
{"B.S.",3,6,2,OTHERS,NULL,0},    /*18*/

{"sinh",4,0,1,UNARY_OP,NULL,0},  /*19*/
{"cosh",4,1,1,UNARY_OP,NULL,0},  /*20*/
{"tanh",4,2,1,UNARY_OP,NULL,0},  /*21*/
{"sin",4,3,1,UNARY_OP,NULL,0},   /*22*/
{"cos",4,4,1,UNARY_OP,NULL,0},   /*23*/
{"tan",4,5,1,UNARY_OP,NULL,0},   /*24*/
{"|z|",4,6,1,UNARY_OP,NULL,0},   /*25*/
{"arg z",4,7,1,UNARY_OP,NULL,0}, /*26*/

{"gamma",5,0,1,UNARY_OP,NULL,0}, /*27*/
{"log2",5,1,1,UNARY_OP,NULL,0},  /*28*/
{"log10",5,2,1,UNARY_OP,NULL,0}, /*29*/
{"ln",5,3,1,UNARY_OP,NULL,0},    /*30*/
{"exp",5,4,1,UNARY_OP,NULL,0},   /*31*/
{"conj",5,5,1,UNARY_OP,NULL,0},  /*32*/
{"mod",5,6,1,BINARY_OP,NULL,3},  /*33*/
{"z^w",5,7,1,BINARY_OP,NULL,1},  /*34*/

{"nHr",6,0,1,BINARY_OP,NULL,2},  /*35*/
{"nPr",6,1,1,BINARY_OP,NULL,2},  /*36*/
{"nCr",6,2,1,BINARY_OP,NULL,2},  /*37*/
{"!!",6,3,1,UNARY_OP,NULL,0},    /*38*/
{"(",6,4,1,BINARY_OP,NULL,0},    /*39*/
{")",6,5,1,BINARY_OP,NULL,4},    /*40*/
{"EE",6,6,1,DIGITS,NULL,0},      /*41*/
{"/",6,7,1,BINARY_OP,NULL,3},    /*42*/

{"STO",7,0,1,OTHERS,NULL,0},     /*43*/
{"RCL",7,1,1,OTHERS,NULL,0},     /*44*/
{"cbrt",7,2,1,UNARY_OP,NULL,0},  /*45*/
{"!",7,3,1,UNARY_OP,NULL,0},     /*46*/
{"7",7,4,1,DIGITS,NULL,0},       /*47*/
{"8",7,5,1,DIGITS,NULL,0},       /*48*/
{"9",7,6,1,DIGITS,NULL,0},       /*49*/
{"*",7,7,1,BINARY_OP,NULL,3},    /*50*/

{"M+",8,0,1,OTHERS,NULL,0},      /*51*/
{"M-",8,1,1,OTHERS,NULL,0},      /*52*/
{"sqrt",8,2,1,UNARY_OP,NULL,0},  /*53*/
{"z^3",8,3,1,UNARY_OP,NULL,0},   /*54*/
{"4",8,4,1,DIGITS,NULL,0},       /*55*/
{"5",8,5,1,DIGITS,NULL,0},       /*56*/
{"6",8,6,1,DIGITS,NULL,0},       /*57*/
{"-",8,7,1,BINARY_OP,NULL,4},    /*58*/

{"M*",9,0,1,OTHERS,NULL,0},      /*59*/
{"M/",9,1,1,OTHERS,NULL,0},      /*60*/
{"e",9,2,1,DIGITS,NULL,0},       /*61*/
{"z^2",9,3,1,UNARY_OP,NULL,0},   /*62*/
{"1",9,4,1,DIGITS,NULL,0},       /*63*/
{"2",9,5,1,DIGITS,NULL,0},       /*64*/
{"3",9,6,1,DIGITS,NULL,0},       /*65*/
{"+",9,7,1,BINARY_OP,NULL,4},    /*66*/

{"M^",10,0,1,OTHERS,NULL,0},     /*67*/
{"conjM",10,1,1,OTHERS,NULL,0},  /*68*/
{"pi",10,2,1,DIGITS,NULL,0},     /*69*/
{"1/z",10,3,1,UNARY_OP,NULL,0},  /*70*/
{"0",10,4,1,DIGITS,NULL,0},      /*71*/
{".",10,5,1,DIGITS,NULL,0},      /*72*/
{"+/-",10,6,1,DIGITS,NULL,0},    /*73*/
{"=",10,7,1,BINARY_OP,NULL,4},   /*74*/
 };
int nButtons = 75;
